Bug 188093 - NPE exporting deployable plugin
Summary: NPE exporting deployable plugin
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-05 22:56 UTC by Ben Konrath
Modified: 2009-12-18 05:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 05:51:58 UTC
Type: ---


Attachments (Terms of Use)
stack trace (19.77 KB, text/plain)
2006-04-05 22:56 UTC, Ben Konrath
no flags Details
stack trace on FC-6 with GCJ (18.35 KB, text/plain)
2006-11-15 21:24 UTC, Ben Konrath
no flags Details
stack trace on FC-6 with Sun's VM (16.49 KB, text/plain)
2006-11-15 21:25 UTC, Ben Konrath
no flags Details

Description Ben Konrath 2006-04-05 22:56:47 UTC
Versions:

eclipse-platform-3.1.2-1jpp_13fc
gcc-java-4.1.0-3

Steps:

* export java-gnome-plugin as deployable plugin and notice stack trace caused by
NPE in the log

Comment 1 Ben Konrath 2006-04-05 22:56:48 UTC
Created attachment 127377 [details]
stack trace

Comment 2 Ben Konrath 2006-11-15 21:22:44 UTC
This is still happening in FC-6 with these versions:

eclipse-platform-3.2.1-17.fc6
gcc-java-4.1.1-30

I noticed that these NPEs happen with both GCJ and Sun's VM but it does not
happen with an upstream build. I think this indicates that there is a problem
with our packages.

Comment 3 Ben Konrath 2006-11-15 21:24:41 UTC
Created attachment 141308 [details]
stack trace on FC-6 with GCJ

Comment 4 Ben Konrath 2006-11-15 21:25:41 UTC
Created attachment 141309 [details]
stack trace on FC-6 with Sun's VM

Comment 5 Bug Zapper 2008-04-04 02:33:58 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 6 Bug Zapper 2008-05-06 15:45:20 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Andrew Overholt 2008-05-06 18:29:34 UTC
I want to make sure this isn't still a bug.  Re-opening.

Comment 8 petrosyan 2008-06-17 19:12:18 UTC
Andrew, did you get a chance to check if this isn't still a bug?

Comment 9 Andrew Overholt 2008-06-23 16:16:45 UTC
(In reply to comment #8)
> Andrew, did you get a chance to check if this isn't still a bug?

I have not yet, sorry.  I will try to get to it this week.

Comment 10 Bug Zapper 2008-11-26 01:49:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-11-18 10:06:27 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2009-12-18 05:51:58 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.